// src/index.ts
var Formatter = class {
  constructor(startDelimiter = "{", endDelimiter = "}") {
    this.startDelimiter = startDelimiter;
    this.endDelimiter = endDelimiter;
  }
  format(stringToFormat, formatItems) {
    let str = `${stringToFormat}`;
    Object.entries(formatItems).forEach(([prop, value]) => {
      const valueToReplaceWith = typeof value === "number" ? value.toString() : value;
      const lookUp = this.startDelimiter + prop + this.endDelimiter;
      const hasExpression = str.includes(lookUp);
      if (hasExpression) {
        str = str.replace(new RegExp(lookUp, "gi"), valueToReplaceWith);
      } else {
        console.log("Expression not found", prop);
      }
    });
    return str;
  }
};
export {
  Formatter as default
};
